import { a as _objectSpread2 } from '../_rollupPluginBabelHelpers.js';
import 'monaco-editor/esm/vs/language/json/monaco.contribution';
import * as monaco from 'monaco-editor/esm/vs/editor/editor.api';
import { synchronizeJsonSchemas, registerJsonSchema } from 'vscode/monaco';
import { onExtHostInitialized } from 'vscode/extensions';
import { r as registerWorkerLoader } from '../worker.js';

monaco.languages.json.jsonDefaults.setModeConfiguration(_objectSpread2(_objectSpread2({}, monaco.languages.json.jsonDefaults.modeConfiguration), {}, {
  tokens: false // Disable monarch tokenizer as we use TextMate here
}));

monaco.languages.json.jsonDefaults.setDiagnosticsOptions({
  comments: 'ignore',
  validate: true,
  enableSchemaRequest: false
});
onExtHostInitialized(synchronizeJsonSchemas);
const workerLoader = async () => (await import( /* webpackChunkName: "MonacoJsonWorker" */'../json.worker.js').then(module => module)).default;
registerWorkerLoader('json', workerLoader);
function addJsonSchema(schema) {
  return registerJsonSchema(schema);
}

export { addJsonSchema };
